<?php

namespace Drupal\cookiebot_gtm\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class CookiebotGtmConfigForm.
 */
class CookiebotGtmConfigForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'cookiebot_gtm.cookiebot_gtm_config',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'cookiebot_gtm_config_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('cookiebot_gtm.cookiebot_gtm_config');
    $form['cbid'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Cookiebot Domain Group Id (CBID)'),
      '#description' => $this->t('This ID looks like 00000000-0000-0000-0000-000000000000. You can find it in the Cookiebot Manager on the &#039;Your scripts&#039; tab.'),
      '#maxlength' => 255,
      '#size' => 64,
      '#default_value' => $config->get('cbid'),
    ];
    $form['gtm_id'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Googlt Tag Manager ID'),
      '#description' => $this->t('Your Google Tag Manager ID that looks likt GTM-XXXXXXX'),
      '#maxlength' => 64,
      '#size' => 64,
      '#default_value' => $config->get('gtm_id'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('cookiebot_gtm.cookiebot_gtm_config')
      ->set('cbid', $form_state->getValue('cbid'))
      ->set('gtm_id', $form_state->getValue('gtm_id'))
      ->save();
  }

}
